# AddLocalizedStrings(IEnumerable\<KeyValuePair\<string, string>>)

Method in [Localization](/2.1/api/csharp/yarn.unity/yarn.unity.localization.md)

## Summary

Adds a collection of strings to the runtime string table.

```csharp
public void AddLocalizedStrings(IEnumerable<KeyValuePair<string, string>> strings)
```

## Remarks

This method updates the localisation's runtime string table, which is useful for adding or changing the localisation during gameplay or in a built player. It doesn't modify the asset on disk, and any changes made will be lost when gameplay ends.

## Parameters

| Name                                                | Description                                |
| --------------------------------------------------- | ------------------------------------------ |
| `IEnumerable<KeyValuePair<string, string>>` strings | The collection of keys and strings to add. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.1/api/csharp/yarn.unity/yarn.unity.localization/yarn.unity.localization.addlocalizedstrings-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
